XSalsa20_Policy Class Reference

XSalsa20 stream cipher operation. More...

Inheritance diagram for XSalsa20_Policy:

## Public Member Functions

void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)
| Key the cipher. More...
void | CipherResynchronize (byte *keystreamBuffer, const byte *IV, size_t length)
| Resynchronize the cipher. More...
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 16 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process. More...
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 16 >
typedef word32 | WordType
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 16 >
static const int | BYTES_PER_ITERATION

## Detailed Description

XSalsa20 stream cipher operation.

Definition at line 66 of file salsa.h.

## Member Function Documentation

## CipherSetKey()

void XSalsa20_Policy::CipherSetKey | ( | const NameValuePairs & | params,
|  | const byte * | key,
|  | size_t | length
| ) |  |

virtual

Key the cipher.

Parameters

  params | set of NameValuePairs use to initialize this object
  key | a byte array used to key the cipher
  length | the size of the key array

Reimplemented from Salsa20_Policy.

Definition at line 574 of file salsa.cpp.

## CipherResynchronize()

void XSalsa20_Policy::CipherResynchronize | ( | byte * | keystreamBuffer,
|  | const byte * | iv,
|  | size_t | length
| ) |  |

virtual

Resynchronize the cipher.

Parameters

  keystreamBuffer | the keystream buffer
  iv | a byte array used to resynchronize the cipher
  length | the size of the IV array

Reimplemented from Salsa20_Policy.

Definition at line 592 of file salsa.cpp.

The documentation for this class was generated from the following files:

- salsa.h
- salsa.cpp